summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Roberto Metere <roberto@metere.it>2015-05-01 18:29:05 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-01 18:29:05 +0700
commitf03d3dda747e495c4a1edd34aa409e00e1a6c787 (patch)
tree3f0cef4142a036db1734b45d54947e746b41895f /development
parent967f095b949da8483bd4f8c0565991a69c9e79d9 (diff)
downloadslackbuilds-f03d3dda747e495c4a1edd34aa409e00e1a6c787.tar.gz
slackbuilds-f03d3dda747e495c4a1edd34aa409e00e1a6c787.tar.xz
development/mosml: Added (Moscow Standard ML).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/mosml/README18
-rw-r--r--development/mosml/mosml.SlackBuild98
-rw-r--r--development/mosml/mosml.info10
-rw-r--r--development/mosml/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/development/mosml/README b/development/mosml/README
new file mode 100644
index 0000000000..53d319b656
--- /dev/null
+++ b/development/mosml/README
@@ -0,0 +1,18 @@
+glpk - GNU Linear Programming Kit
+
+The GLPK package is intended for solving large-scale linear programming
+(LP), mixed integer programming (MIP), and other related problems.
+It is a set of routines written in ANSI C and organized in the form of a
+callable library.
+
+GLPK supports the GNU MathProg language, which is a subset of the AMPL
+language.
+
+The GLPK package includes the following main components:
+
+ * primal and dual simplex methods
+ * primal-dual interior-point method
+ * branch-and-cut method
+ * translator for GNU MathProg
+ * application program interface (API)
+ * stand-alone LP/MIP solver
diff --git a/development/mosml/mosml.SlackBuild b/development/mosml/mosml.SlackBuild
new file mode 100644
index 0000000000..d9530d26b2
--- /dev/null
+++ b/development/mosml/mosml.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+# Slackware build script for Moscow ML
+
+# Copyright 2015 Roberto Metere, Cagliari (CA), Italy <roberto@metere.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mosml
+VERSION=${VERSION:-2.10.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $CWD
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-ver-$VERSION.tar.gz || tar xvf $CWD/ver-$VERSION.tar.gz
+mv $PRGNAM-ver-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# As documentation suggests, change configuration inside Makefile.inc
+cd src
+sed -i -e "s/\(PREFIX=\)[\/a-z]\+/\1\/usr/" Makefile.inc
+sed -i -e "s/\(VERSION=2.10\)\$/\1.1/" Makefile.inc
+sed -i -e "s/\(LIBDIR=\${PREFIX}\/\)lib/\1lib${LIBDIRSUFFIX}/" Makefile.inc
+sed -i -e "s/\(DOCDIR=\${PREFIX}\/\)[\/a-z]\+/\1doc\/${PRGNAM}-${VERSION}/" Makefile.inc
+sed -i -e "s/\(CC=gcc\)/\1 ${SLKCFLAGS}/" Makefile.inc
+
+make world
+make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README install.txt install.txt.w32 readme.w32 roadmap \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# A file in the $PKG/usr/doc/$PRGNAM-$VERSION can be stripped,
+# so we strip here, rather than immediately after make install.
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mosml/mosml.info b/development/mosml/mosml.info
new file mode 100644
index 0000000000..baeb1511db
--- /dev/null
+++ b/development/mosml/mosml.info
@@ -0,0 +1,10 @@
+PRGNAM="mosml"
+VERSION="2.10.1"
+HOMEPAGE="http://mosml.org/"
+DOWNLOAD="https://github.com/kfl/mosml/archive/ver-2.10.1.tar.gz"
+MD5SUM="40426700791760ec25aaecc06dcfc2d9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto@metere.it"
diff --git a/development/mosml/slack-desc b/development/mosml/slack-desc
new file mode 100644
index 0000000000..c5e0e4be99
--- /dev/null
+++ b/development/mosml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mosml: mosml (Moscow Standard ML)
+mosml:
+mosml: Moscow ML is a light-weight implementation of Standard ML (SML),
+mosml: a strict functional language used in teaching and research.
+mosml:
+mosml:
+mosml:
+mosml:
+mosml:
+mosml: Homepage: http://mosml.org/
+mosml: